OLD /* --primary-color: 	#484c7f; */
NEW /* --primary-color: 	#011744; */

{}

@font-face {
    font-family: 'GOTHIC'; /*a name to be used later*/
    src: url('../fonts/GOTHIC.TTF'); /*URL to font*/
}

p,div,h1,h2,h3,h4,h5,h6,span,a{
    font-family: 'GOTHIC' !important;
    /* font-weight: 600; */
}

/* Login Page */
#mytask-layout > .login-div{
    /* background-color: #011744 !important; */
    background-color: #3c3f46 !important;
}

.login-div{
    background-color: transparent !important;
}
[requires-admin-permission] {
 display: none;
}
.selectedRow {
 background: #eee;
}
.main-button-area > button {
    /* margin-bottom: 0.4em;
    margin-left: 0.6em; */
}
.main-button-area .dropdown-toggle {
    /* padding: 0.55em 0.6em; */
}

.on_progress{
    background: #3890d1;
    padding: 3px 12px;
    border-radius: 99px;
    color: #fff;
    font-size: smaller;
    font-weight: bold;
    white-space: nowrap;
}
.on_hold{
    background: orange;
    padding: 3px 12px;
    border-radius: 99px;
    color: #fff;
    font-size: smaller;
    font-weight: bold;
    white-space: nowrap;
}
.done{
    background: green;
    padding: 3px 12px;
    border-radius: 99px;
    color: #fff;
    font-size: smaller;
    font-weight: bold;
    white-space: nowrap;
}
.type_project{
    background-color: var(--primary-color);
    padding: 2px 8px;
    color: #fff;
    border-radius: 99px;
    font-size: smaller;
    font-weight: bold;
}
.type_task{
    background-color: var(--bs-teal);
    padding: 2px 8px;
    color: #fff;
    border-radius: 99px;
    font-size: smaller;
    font-weight: bold;
}
.type_subtask{
    background-color: #ec4d5d;
    padding: 2px 8px;
    color: #fff;
    border-radius: 99px;
    font-size: smaller;
    font-weight: bold;
}
.project_title_followup_cat{
    color:gray;
    font-size: 12px;
}
.project_title_followup_cat:empty{
    display: none;
}

.on_progress-span{
    background: #000428;  /* fallback for old browsers */
    background: -webkit-linear-gradient(to right, #004e92, #000428);  /* Chrome 10-25, Safari 5.1-6 */
    background: linear-gradient(to right, #004e92, #000428); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
    padding: 2px 8px;
    color: #fff;
    border-radius: 99px;
    font-size: smaller;
    font-weight: bold;
    white-space: nowrap;
}
.on_hold-span{
    background: #FF512F;  /* fallback for old browsers */
    background: -webkit-linear-gradient(to right, #F09819, #FF512F);  /* Chrome 10-25, Safari 5.1-6 */
    background: linear-gradient(to right, #F09819, #FF512F); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
    padding: 2px 8px;
    color: #fff;
    border-radius: 99px;
    font-size: smaller;
    font-weight: bold;
    white-space: nowrap;
}
.done-span{
    background: #1D976C;  /* fallback for old browsers */
    background: -webkit-linear-gradient(to right,#1D976C, #93F9B9);  /* Chrome 10-25, Safari 5.1-6 */
    background: linear-gradient(to right, #1D976C, #93F9B9); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
    padding: 2px 8px;
    color: #fff;
    border-radius: 99px;
    font-size: smaller;
    font-weight: bold;
    white-space: nowrap;
}

.footer{
    background: #B39F7E;
    position: absolute;
    bottom: 0px;
    left: 0px;
    width: 100%;
    text-align: center;
    z-index: 1;
}
/* .loadingContainer{
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100vh;
    background: rgba(0,0,0,0.6);
    color: #fff;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 20px;
} */

.loader {
    width: 48px;
    height: 48px;
    border-radius: 50%;
    display: inline-block;
    border-top: 4px solid #fff;
    border-right: 4px solid transparent;
    box-sizing: border-box;
    animation: rotation 1s linear infinite;
}
.loader::after {
content: '';  
box-sizing: border-box;
position: absolute;
left: 0;
top: 0;
width: 48px;
height: 48px;
border-radius: 50%;
border-left: 4px solid #FCD401;
border-bottom: 4px solid transparent;
animation: rotation 0.5s linear infinite reverse;
}
@keyframes rotation {
0% {
    transform: rotate(0deg);
}
100% {
    transform: rotate(360deg);
}
}

.ChatDiv{
    height: 70vh;
}

.chat-history::-webkit-scrollbar {
    width: 5px !important;
}
.chat-history::-webkit-scrollbar-track {
    background: #f1f1f1 !important; 
}
.chat-history::-webkit-scrollbar-thumb {
    background: #888 !important; 
    border-radius:10px;
}
.chat-history::-webkit-scrollbar-thumb:hover {
    background: #555 !important; 
}

.mentionsOpen{
    position: absolute;
    border-radius: 10px;
    border: 1px solid var(--primary-color);
    padding: 8px 16px;
    background: beige;
    font-weight: bold;
    bottom: 75px;
    cursor: pointer;
    line-height: 1.6;
}
.mentionsOpen ul{
    padding-left: 0px;
    margin-bottom: 0px;
}
.mentionsClose{
    display: none;
}

.mentionsOpen li{
    list-style-type: none;
}

.filepond--credits{
    display: none;
}
.pagination{
    display: flex;
    overflow-x: auto;
    width: 100%;
}

.page-link{
    width: max-content;
}

.search-criteria-btns{
    display: flex;
    flex-direction: row;
}

.dashboardMain{
    background-image: url("../images/mainPlatform_bg.jpg");
    background-size: cover;
    object-fit: cover;
    background-position: center;
    height: calc(90vh - 52px);
    border-radius: 15px;
}

.dashboardBanners{
    background: rgb(255 255 255 / 90%);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border-radius: 15px;
    box-shadow: 0px 5px 10px -5px #d7c19d;
    color: #B39F7E;
}

.uploadAvatarDivStyle{
    width: 150px;
}

.filepond--drop-label.filepond--drop-label label{
    width: 140px;
    position: absolute;
    top: -11px;
    left: -8px;
    text-align: left;
}

.filepond--label-action{
    width: 150px;
    position: absolute;
    top: 0px;
    left: 0px;
    visibility: hidden;
}
.filepond--label-action:after{
    content: 'Επιλογή εικόνας';
    color: #181818;
    position: absolute;
    top: 6px;
    width: 140px;
    left: 7px;
    visibility: visible;
    font-size: 15px;
}
.sidebar {
    /* background: #F4F2EA !important; */
    width: 230px;
}

.sidebar .menu-list .m-link {
    color: #ffffff;
    font-size: 16px !important;
}

.brand-icon .logo-icon {
    margin-left: auto;
    margin-right: auto;
    background: none;
}

.logo-text {
    font-size: 16px !important;
    color: black !important;
}

#userAvatarContainer .filepond--list-scroller {
    display: none !important;
}

.filepond--drop-label {
    transform: translate3d(0px, 0px, 0px) !important;
    opacity: 1 !important;
    visibility: visible !important;
    pointer-events: unset !important;
}
.user-profile {
    flex-direction: row-reverse;
}

.img-thumbnail{
    object-fit: cover;
    object-position: center;
}

.showPasswordIcon{
    color: var(--primary-color);
    font-size: large;
    position: absolute;
    right: 14%;
    cursor: pointer;
}

.form-control, .form-select {
    background-color: #fff !important;
}

.myAccountDiv{
    display: flex;
    background: linear-gradient(90deg, #ffff 75%, rgba(179,159,126,1) 200%);
}
.accountImg{
    width: 200px;
    border-radius: 50%;
    height: 200px;
    object-fit: cover;
}

.accountHR{
    border-top: none;
    height: 5px;
    background: linear-gradient(90deg, rgba(250,237,216,1) 0%, rgba(179,159,126,1) 100%);
    border-radius: 10px;
    width: 60%;
    margin:0;
}

.searchIcon {
    position: absolute;
    left: 5%;
    font-size: 1.15rem;
    color: #c9c9c9;
    padding-top: 0.3em;
    z-index: 1;
}
.input-group-lg>.form-control {
    padding: 0.5rem 3rem;
    font-size: 1rem;
    border-radius: 30px;
}

.input-group>:not(:first-child):not(.dropdown-menu):not(.valid-tooltip):not(.valid-feedback):not(.invalid-tooltip):not(.invalid-feedback){
    border-top-left-radius: 30px;
    border-bottom-left-radius: 30px;
}

.modalTableUsersData td{
    padding-bottom: 15px;
}

#myProjectTable tr td:hover{
    cursor: pointer;
}

.main_lineWithDot{
    display: flex;
    height: 7px;
    width: -webkit-fit-content;
    width: -moz-fit-content;
    width: fit-content;
}

.main_line{
    background: linear-gradient(90deg, #ffff 0%, rgba(179,159,126,1) 200%);
    height: 100%;
    border-radius: 9px;
}
.main_dot{
    background: var(--primary-color);
    border-radius: 50%;
    margin-left: 5px;
    width: 7px;
}

.descriptionText{
    white-space: pre-line;
    font-size: 1rem;
}
#main-header > div > nav > div > button > span:before{
    content: url('/members/assets/images/burger.png');
}

.loadingDiv{
    position: absolute;
    background: var(--primary-color);
    width: 100%;
    height: 100vh;
    left: 0;
    top: 0;
    z-index: 9999;
}

.dot-flashing {
    position: relative;
    width: 10px;
    height: 10px;
    border-radius: 5px;
    background-color: #ffffff;
    color: #ffffff;
    animation: dot-flashing 1s infinite linear alternate;
    animation-delay: 0.5s;
  }
  .dot-flashing::before, .dot-flashing::after {
    content: "";
    display: inline-block;
    position: absolute;
    top: 0;
  }
  .dot-flashing::before {
    left: -15px;
    width: 10px;
    height: 10px;
    border-radius: 5px;
    background-color: #ffffff;
    color: #ffffff;
    animation: dot-flashing 1s infinite alternate;
    animation-delay: 0s;
  }
  .dot-flashing::after {
    left: 15px;
    width: 10px;
    height: 10px;
    border-radius: 5px;
    background-color: #ffffff;
    color: #ffffff;
    animation: dot-flashing 1s infinite alternate;
    animation-delay: 1s;
  }
  
  @keyframes dot-flashing {
    0% {
      background-color: #ffffff;
    }
    50%, 100% {
      background-color: rgba(255, 255, 255, 0.2);
    }
  }

  #mypopup{
    display: none;   
    background: #0000006b;
    position: fixed;
    width: 100%;
    flex-direction: row;
    margin: 0 auto;
    align-items: center;
    justify-content: center;
    left: 0;
    top: 0;
    padding: 20px;
    height: 100vh;
    z-index: 9999;
  }
  .mypopupMessageBox{
    background: #fff;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 25px;
    width: 330px;
    margin: 0 auto;
    padding: 30px 15px;
    border-radius: 3px;
    box-shadow: 0px 0px 20px 0px #00000026;
    bottom: 0px;
    position: absolute;
    transition: 3s;
    z-index: 9999;
    opacity: 0;
    transition: 2s;
  }
  .popupcloseBtn{
    z-index: 9999;
    position: absolute;
    right: 5px;
    top: 5px;
    cursor: pointer;
  }
  .popupBtn{
    padding: 5px 15px;
  }
  .logo-header-mobile{
        display: none;
    }

@media only screen and (max-width: 48em) {
    .user-profile {
        flex-direction: initial;
    }
    .search-criteria{
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        width: 100%;
    }
    .search-criteria-btns{
        display: flex;
        flex-direction: row;
    }
    .datePickDiv{
        justify-content: center !important;
    }
    .mainHeaderTitle{
        text-align: center;
        width: 80%;
        margin: 0 auto;
    }
    
    .dropdown-menu.show {
        position: absolute;
        top: 0px;
        left: 0px;
    }
    .dashboardBanners h4{
        font-size: 15px;
    }
    .footer{
        position: fixed;
        clear:both;
        height:30px;
        margin-top: -20px;
    }
    .dashboardMain{
        height: calc(91vh - 100px);
        border-radius: 0px;
    }
    .myAccountDiv{
        flex-direction: column;
        align-items: center;
    }
    .accountImg{
        width: 150px;
        height: 150px;
    }
    .myAccountDiv{
        text-align: center;
    }
    .tableMyAccountData tbody{
        width: 100%;
    }
    .tableMyAccountData{
        text-align: left;
    }
    .accountHR{
        margin: 0 auto;
    }
    .pulse-ring{
        left: 56% !important;
    }
    .mobHeaderPosition{
        order: 3 !important;
    }
    .logo-header-mobile{
        display: unset;
        width: 33.33%;
    }
}